org.apache.el.lang

## Class ExpressionBuilder

- java.lang.Object
- - org.apache.el.lang.ExpressionBuilder

All Implemented Interfaces:
  NodeVisitor

    public final class ExpressionBuilder
    extends Object
    implements NodeVisitor

Author:
  Jacob Hookom [jacob@hookom.net]

### Constructor Summary

Constructors
Constructor and Description
`ExpressionBuilder(String expression, ELContext ctx)`

### Method Summary

Methods
`MethodExpression` `createMethodExpression(Class<?> expectedReturnType, Class<?>[] expectedParamTypes)`
`static Node` `createNode(String expr)`
`ValueExpression` `createValueExpression(Class<?> expectedType)`
`void` `visit(Node node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionBuilder

    public ExpressionBuilder(String expression,
                     ELContext ctx)
                      throws ELException

Throws:
  `ELException`

### Method Detail

#### createNode

    public static final Node createNode(String expr)
                                 throws ELException

Throws:
  `ELException`

#### visit

    public void visit(Node node)
               throws ELException

Specified by:
  `visit` in interface `NodeVisitor`
Throws:
  `ELException`

#### createValueExpression

    public ValueExpression createValueExpression(Class<?> expectedType)
                                          throws ELException

Throws:
  `ELException`

#### createMethodExpression

    public MethodExpression createMethodExpression(Class<?> expectedReturnType,
                                          Class<?>[] expectedParamTypes)
                                            throws ELException

Throws:
  `ELException`